## fglrx-legacy-driver 8.97.100.7

=== debian/changelog ===
fglrx-legacy-driver (8.97.100.7-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 May 2013 10:19:46 +0200

fglrx-legacy-driver (8.97.100.7-3) unstable; urgency=low

  * Rename the binary packages that are currently not built from this source
    to avoid the potential conflict that prevented autobuilding.
    (Closes: #707694)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 May 2013 22:59:40 +0200

fglrx-legacy-driver (8.97.100.7-2) unstable; urgency=low

  * Merged from fglrx-driver:
    - Add patch 06-stub-for-agpless-kernel to add stub for missing symbol for
      kernels built without CONFIG_AGP.
    - Add new atigetsysteminfo.sh script.
    - Drop Conflicts/Breaks/Replaces that are satisfied in wheezy.
    - Drop versioned Pre-Depends on dpkg. We only support installing on and
      upgrading from wheezy or newer.
    - Use canonical Vcs-* URLs.
    - Simplify importing signature files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2013 22:34:56 +0200

fglrx-legacy-driver (8.97.100.7-1) experimental; urgency=low

  * New Catalyst Legacy 13.1 Release (2013-01-21).
  * Merged from fglrx-driver:
    - Update my email address.
    - Debconf translation updates.
    - Add patch 04-linux-3.7 to fix a FTBFS with Linux 3.7.  (Closes: #697515)
    - Add patch 05-linux-3.8 to add Linux 3.8 support.
    - Add new atigetsysteminfo.sh script.
    - Bump glx-alternative-fglrx dependency for new blacklist handling.
    - Purging fglrx-driver is no longer required for switching to Radeon.
    - debian/rules get-orig-source: Adjust for upstream changing the naming
      and versioning scheme.
    - Repack into .xz.
    - Switch .deb compression to xz.
    - libgl1-fglrx-legacy-glx:i386: Breaks: ia32-libs (<< 1:0).
    - Remove DM-Upload-Allowed control field, it is obsolete.
    - Bump Standards-Version to 3.9.4 (no changes needed).
  * debian/watch, debian/rules: Adjust for new upstream release naming scheme.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Feb 2013 13:34:31 +0100

fglrx-legacy-driver (8.97.100.3+1-1) experimental; urgency=low

  * New Catalyst Legacy 12.6 Release (2012-07-24).
    - Upstream changed zipfile content but neither name nor internal version.
    - Comes with a proper signature.  (Closes: #684702)
  * http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx
  * Update Homepage to point to the legacy driver.
  * Merged from fglrx-driver:
    - fglrx-source: Add Built-Using attribute to the generated module packages
      to record the exact versions of linux and fglrx-driver that were used
      during the build.
    - libgl1-fglrx-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that
      is still shipping /usr/lib32/libGL.so.1 which gets no longer diverted
      away.
    - fglrx-atieventsd: Add Depends: glx-alternative-fglrx to ensure the
      triggers are processed and the glx alternative is properly setup before
      the atieventsd is started.  (Closes: #684000)
    - Check for "UNSIGNED" in /etc/ati/signature during package build to
      prevent reappearence of bugs like #684702.
    - README.Debian: Add link to unofficial bugzilla for upstream bug reports.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 16:41:11 +0200

fglrx-legacy-driver (8.97.100.3-1) experimental; urgency=low

  * Initial packaging of the AMD Catalyst Legacy driver.  (Closes: #680654)
  * New Catalyst Legacy 12.6 Beta (2012-05-31).
    - supports AMD Radeon HD 4000, HD 3000, and HD 2000 Series
      (Closes: #672519)
  * http://support.amd.com/us/kbarticles/Pages/catalyst126legacyproducts.aspx
  * Use the internal version number instead of the date-based one.
  * Do not build packages which are built from src:fglrx-driver: libxvbaw-dev,
    amd-libopencl1, amd-opencl-dev, amd-clinfo, and the transitional packages.
  * Rename remaining binary packages: *fglrx* => *fglrx-legacy*.
  * Conflicts/Replaces/Provides the packages built from src:fglrx-driver due
    to the same filenames being shipped.
  * There is no /etc/ati/atiapfxx.blb in the legacy driver.
  * libfglrx.preinst: Drop check for unsupported devices.
  * Blacklisting the radeon module is managed by glx-alternative-fglrx.
  * Drop cleanup code inherited from fglrx-driver as there are no old legacy
    driver packages requiring cleanup.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 02 Aug 2012 15:01:37 +0200

fglrx-driver (1:13.4-3) UNRELEASED; urgency=low

  * Drop maintainer script code targeting upgrades from before wheezy.
  * Use again the shipped signature file.
  * Simplify importing signature files: Save them as debian/import/signature
    and in debian/rules.defs set SIGNATURE_VERSION = <upstream version>.
  * Update fglrx-legacy-driver information.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2013 21:08:34 +0200

fglrx-driver (1:13.4-2) unstable; urgency=low

  * Recommend opencl-icd again as preferred alternative.  (Reopens: #695884)
  * Bump glx-alternative-fglrx dependency.
  * Drop transitional packages.
  * Drop Conflicts/Breaks/Replaces that are satisfied in wheezy.
  * Drop versioned Pre-Depends on dpkg. We only support installing on and
    upgrading from wheezy or newer.
  * Use canonical Vcs-* URLs.
  * Update lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2013 18:41:26 +0200

fglrx-driver (1:13.4-1) experimental; urgency=low

  [ Michael Gilbert ]
  * New upstream release 13.4 (2013-04-24) (12.104).
    - Drop linux 3.7 and 3.8 patches, now included upstream. (Closes: #705419)
  * Update upstream tarball paths.

  [ Patrick Matthäi ]
  * Add new atigetsysteminfo.sh script.

  [ Daniel Schaal ]
  * Add patch 06-stub-for-agpless-kernel to add stub for missing symbol for
    kernels built without CONFIG_AGP.

  [ Andreas Beckmann ]

