=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-/./g" \
http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx .*/amd-driver-installer-catalyst-(.*)-legacy-linux-x86.x86_64.(?:run|zip)
